Name:           ladspa-fil-plugins
Version:        0.3.0
Release:        2%{?dist}
License:        GPLv2+
Summary:        LADSPA Filter plugins
Group:          Applications/Multimedia
URL:            http://www.kokkinizita.net/linuxaudio/
Source:         http://www.kokkinizita.net/linuxaudio/downloads/FIL-plugins-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  ladspa-devel
Requires:       ladspa
Obsoletes:      fil-plugins <= 0.0.1
Provides:       fil-plugins = %{version}-%{release}

%description
There's one plugin in this first release, a four-band parametric
equaliser. Each section has an active/bypass switch, frequency,
bandwidth and gain controls. There is also a global bypass switch and
gain control.


%prep
%setup -q -n FIL-plugins-%{version}
%{__perl} -p -i -e "s|/usr/lib/ladspa|\\$\(DESTDIR\)%{_libdir}/ladspa|g" Makefile
# we want to use the system ladspa.h
%{__rm} ladspa.h


%build
%{__make} %{?_smp_mflags} CPPFLAGS="$RPM_OPT_FLAGS -fPIC -D_REENTRANT"


%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_libdir}/ladspa
%{__make} DESTDIR=%{buildroot} install


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/ladspa/*.so


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 18 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.3.0-1
- updated to 0.3.0

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.0-3
- Autorebuild for GCC 4.3

* Fri Sep 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.1.0-2
- Various specfile improvements to match the Fedora Packaging Guidelines
- Submit for review for Fedora inclusion

* Sat Nov 19 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-1
- changed package name to ladspa-fil-plugins
- updated to 0.1.0

* Thu Apr 14 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Thu May 13 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.1-1
- initial build
